package com.kingdee.eas.custom.workflow;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractCompanyWorkflowInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractCompanyWorkflowInfo()
    {
        this("id");
    }
    protected AbstractCompanyWorkflowInfo(String pkField)
    {
        super(pkField);
        put("Entry", new com.kingdee.eas.custom.workflow.CompanyWorkflowEntryCollection());
    }
    /**
     * Object: 审批人员配置表 's 组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getDeparment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("deparment");
    }
    public void setDeparment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("deparment", item);
    }
    /**
     * Object: 审批人员配置表 's 分录 property 
     */
    public com.kingdee.eas.custom.workflow.CompanyWorkflowEntryCollection getEntry()
    {
        return (com.kingdee.eas.custom.workflow.CompanyWorkflowEntryCollection)get("Entry");
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("599444B8");
    }
}